Sympa::Spindle::ProcessAutomatic(3Sympa)

NAME
Sympa::Spindle::ProcessAutomatic - Workflow of automatic list creation

SYNOPSIS
  use Sympa::Spindle::ProcessAutomatic;

  my $spindle = Sympa::Spindle::ProcessAutomatic->new;
  $spindle->spin;

DESCRIPTION
Sympa::Spindle::ProcessAutomatic defines workflow to process messages for automatic list creation.

When spin() method is invoked, it reads the messages in automatic spool. If the list a message is bound for has not been there and list creation is authorized, it will be created. Then the message is stored into incoming message spool again and waits for processing by Sympa::Spindle::ProcessIncoming.

Order to process messages in source spool are controlled by modification time of files and delivery date. Some messages are skipped according to these priorities (See Sympa::Spool::Automatic):

•   Messages with lowest priority ("z" or "Z") are skipped.

•   Messages with possibly higher priority are chosen. This is done by skipping messages with lower priority than those already found.

  Public methods
See also "Public methods" in Sympa::Spindle.

new ( [ keepcopy => $directory ], [ log_level => $level ], [ log_smtp => 0|1 ] )
spin ( )
    new() may take following options:

    keepcopy => $directory
        spin() keeps copy of successfully processed messages in $directory.

    log_level => $level
        Overwrites log_level parameter in configuration.

    log_smtp => 0|1
        Overwrites log_smtp parameter in configuration.

  Properties
See also "Properties" in Sympa::Spindle.

{distaff}
    Instance of Sympa::Spool::Automatic class.

SEE ALSO
Sympa::Message, Sympa::Spindle, Sympa::Spool::Automatic, Sympa::Spool::Incoming.

HISTORY
Sympa::Spindle::ProcessAutomatic appeared on Sympa 6.2.10.